%global pypi_name pyrsistent
%global commitId d039676c8736f6c0566ce6dcc571888ece10e3a7

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.18.1
Summary:        Persistent/Functional/Immutable data structures
Release:        2%{?dist}

# The entire source is MIT, except pyrsistent/_toolz.py which is BSD.
License:        MIT and BSD
URL:            http://github.com/tobgu/pyrsistent
Source0:        python-pyrsistent-d039676c8736f6c0566ce6dcc571888ece10e3a7.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools >= 0.16.1

%global _description %{expand:
Pyrsistent is a number of persistent collections (by some referred to as
functional data structures). Persistent in the sense that they are
immutable.}

%description
%{_description}

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGES.txt README.rst
%license LICENSE.mit
%{python3_sitearch}/__pycache__/_pyrsistent_version.*
%{python3_sitearch}/_pyrsistent_version.py
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitearch}/pvectorc.cpython-3*.so

%changelog
* Wed Dec 14 2022 Yaakov Selkowitz <yselkowi@redhat.com> - 0.18.1-2
- Rebuild for multiple architectures

* Tue Mar 22 2022 Satoe Imaishi <simaishi@redhat.com> - 0.18.1-1
- Initial Build
